import React, { useRef } from 'react'
import useDnd from '@/utils/hooks/useDnd'

export default (props) => {
  const ref = useRef();
  const { index, bizId, moveRow, ...restProps } = props;
  const { dragPreview, dragSource, dropTarget, onDrop } = useDnd({
    item: { index, id: bizId },
  });

  onDrop((item) => {
    moveRow({
      source: item,
      target: { index, id: bizId }
    });
  });

  dragPreview(ref)
  dragSource(dropTarget(ref))

  return (
    <tr ref={ref} {...restProps} />
  )
}
